<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<jsp:include page="../../inc.jsp"></jsp:include>
<script type="text/javascript" charset="utf-8">
	var datagrid;
	$(function() {
		datagrid = $('#datagrid').datagrid({
			url : 'helpinfo!datagrid.do',
			iconCls : 'icon-save',
			pagination : true,
			pagePosition : 'bottom',
			pageSize : 20,
			pageList : [ 20, 40, 60, 80, 100, 120, 140, 160, 200 ],
			fit : true,
			fitColumns : true,
			nowrap : false,
			border : false,
			idField : 'id',
			sortName : 'id',
			sortOrder : 'desc',
			frozenColumns : [ [ {
				title : '序号',
				field : 'id',
				width : 150,
				sortable : true,
				checkbox : true
			} ] ],
			columns : [ [  {
				title : '编号',
				field : 'personcode',
				width : 150
			}, {
				title : '姓名',
				field : 'personname',
				width : 150
			}, {
				title : '中段',
				field : 'layer',
				width : 150
			}, {
				title : '卡号',
				field : 'zddz',
				width : 150
			}, {
				title : '基站',
				field : 'senid',
				width : 150
			}, {
				title : '位置',
				field : 'flag',
				width : 150,
				formatter : function(value, row, index) {
					if (value == "0") {
						return "左侧";
					} else {
						return "右侧";
					}
				}
			}, {
				title : '状态',
				field : 'state',
				width : 150,
				formatter : function(value, row, index) {
					if (value == "0") {
						return "<font color='red'>未处理</font>";
					} else {
						return "已处理";
					}
				}
			}, {
				title : '时间',
				field : 'readtime',
				width : 150
			} ] ],
			toolbar : [ {
				text : '已处理',
				iconCls : 'icon-edit',
				handler : function() {
					remove();
				}
			}, '-', {
				text : '全部批量处理',
				iconCls : 'icon-edit',
				handler : function() {
					editall();
				}
			}, '-', {
				text : '导出',
				iconCls : 'icon-edit',
				handler : function() {
					exportd();
				}
			}, '-', {
				text : '取消选中',
				iconCls : 'icon-undo',
				handler : function() {
					datagrid.datagrid('unselectAll');
				}
			}, '-' ],
			onRowContextMenu : function(e, rowIndex, rowData) {
				e.preventDefault();
				$(this).datagrid('unselectAll');
				$(this).datagrid('selectRow', rowIndex);
				$('#menu').menu('show', {
					left : e.pageX,
					top : e.pageY
				});
			}
		});
	});
	function edit() {
		var rows = datagrid.datagrid('getSelections');
		if (rows.length == 1) {
			var p = parent.dj
					.dialog({
						title : '修改历史记录',
						href : '${pageContext.request.contextPath}/helpinfo!helpinfoEdit.do?id='
								+ rows[0].id,
						width : 500,
						height : 450,
						buttons : [ {
							text : '修改',
							handler : function() {
								var f = p.find('form');
								f
										.form({
											url : '${pageContext.request.contextPath}/helpinfo!edit.do',
											success : function(d) {
												var json = $.parseJSON(d);
												if (json.success) {
													datagrid.datagrid('reload');
													p.dialog('close');
												}
												parent.dj.messagerShow({
													msg : json.msg,
													title : '提示'
												});
											}
										});
								f.submit();
							}
						} ],
						onLoad : function() {
							var f = p.find('form');
							f.find('input[name=id]').val(rows[0].id);
							f.find('input[name=cardcode]')
									.val(rows[0].cardcode);
							f.find('input[name=senid]').val(rows[0].senid);
							f.find('input[name=type]').val(rows[0].type);
							f.find('input[name=dl]').val(rows[0].dl);
							f.find('input[name=rssi]').val(rows[0].rssi);
							f.find('input[name=flag]').val(rows[0].flag);
							f.find('input[name=state]').val(rows[0].state);
							f.find('textarea[name=readtime]').val(
									rows[0].readtime);

						}
					});
		} else if (rows.length > 1) {
			parent.dj.messagerAlert('提示', '同一时间只能编辑一条记录！', 'error');
		} else {
			parent.dj.messagerAlert('提示', '请选择要编辑的记录！', 'error');
		}
	}
	function append() {
		var p = parent.dj
				.dialog({
					title : '增加基站',
					href : '${pageContext.request.contextPath}/helpinfo!helpinfoAdd.do',
					width : 500,
					height : 250,
					buttons : [ {
						text : '增加',
						handler : function() {
							var f = p.find('form');
							f
									.form({
										url : '${pageContext.request.contextPath}/helpinfo!add.do',
										success : function(d) {
											var json = $.parseJSON(d);
											if (json.success) {
												datagrid.datagrid('reload');
												p.dialog('close');
											}
											parent.dj.messagerShow({
												msg : json.msg,
												title : '提示'
											});
										}
									});
							f.submit();
						}
					} ],
					onLoad : function() {
						var f = p.find('form');
						var editor = f
								.find('textarea[name=cdesc]')
								.xheditor(
										{
											tools : 'full',
											html5Upload : true,
											upMultiple : 4,
											upLinkUrl : '${pageContext.request.contextPath}/helpinfo!upload.do',
											upLinkExt : 'zip,rar,txt,doc,docx,xls,xlsx',
											upImgUrl : '${pageContext.request.contextPath}/helpinfo!upload.do',
											upImgExt : 'jpg,jpeg,gif,png'
										});
					}
				});
	}
	function remove() {
		var rows = datagrid.datagrid('getChecked');
		var ids = [];
		if (rows.length > 0) {
			parent.dj
					.messagerConfirm(
							'请确认',
							'您要处理当前所选项目？',
							function(r) {
								if (r) {
									for ( var i = 0; i < rows.length; i++) {
										ids.push(rows[i].id);
									}
									$
											.ajax({
												url : '${pageContext.request.contextPath}/helpinfo!delete.do',
												data : {
													ids : ids.join(',')
												},
												dataType : 'json',
												success : function(d) {
													datagrid.datagrid('load');
													datagrid
															.datagrid('unselectAll');
													parent.dj.messagerShow({
														title : '提示',
														msg : d.msg
													});
												}
											});
								}
							});
		} else {
			parent.dj.messagerAlert('提示', '请勾选要处理的记录！', 'error');
		}
	}

	function editall() {

		$.ajax({
			url : '${pageContext.request.contextPath}/helpinfo!editall.do',

			success : function(d) {
				datagrid.datagrid('load');
				datagrid.datagrid('unselectAll');
				parent.dj.messagerShow({
					title : '提示',
					msg : '处理完成'
				});
			}
		});
	}
	function _search() {
		datagrid.datagrid('load', dj.serializeObject($('#searchForm')));
	}
	function cleanSearch() {
		datagrid.datagrid('load', {});
		$('#searchForm input').val('');
	}
	function exportd() {
		Export('求救信息历史记录', $('#datagrid'))

	}
</script>
</head>
<body class="easyui-layout">
	<div data-options="region:'north',border:false,title:'过滤条件'"
		style="height: 110px;overflow: hidden;" align="left">
		<form id="searchForm">
			<table class="tableForm datagrid-toolbar"
				style="width: 100%;height: 100%;">
				<tr>
					<th>卡号：</th>
					<td><input name="zddz" style="width:160px;" /></td>


					<th>人员编号：</th>
					<td><input name="personcode" style="width:160px;" /></td>
					<th>姓名：</th>
					<td><input name="personname" style="width:160px;" /></td>
				</tr>
				<tr>
					<th>时间起：</th>
					<td><input class="easyui-datetimebox" name="readtimeStart"
						style="width:160px;" />
					<th>止：</th>
					<td><input class="easyui-datetimebox" name="readtimeEnd"
						style="width:160px;" /></td>
						 <th>位置：</th>
					<td><select id="flag" class="easyui-combobox" name="flag" style="width:160px;">
						<option value=""></option>
						<option value="0">左</option>
						<option value="1">右</option>
						</select>
					</td>
					<th>状态：</th>
					<td><select id="state" class="easyui-combobox" name="state" style="width:160px;">
						<option value=""></option>
						<option value="0">未处理</option>
						<option value="1">已处理</option>
					</select>
					</td>
					<th></th>
					<td><a href="javascript:void(0);" class="easyui-linkbutton"
						onclick="_search();">过滤</a><a href="javascript:void(0);"
						class="easyui-linkbutton" onclick="cleanSearch();">取消</a></td>
				</tr>
			</table>
		</form>
	</div>
	<div data-options="region:'center',border:false"
		style="overflow: hidden;">
		<table id="datagrid"></table>
	</div>

	<div id="menu" class="easyui-menu" style="width:120px;display: none;">
		<div onclick="remove();" data-options="iconCls:'icon-edit'">已处理</div>
		<div onclick="editall();" data-options="iconCls:'icon-edit'">全部批量处理</div>
		<div onclick="exportd();" data-options="iconCls:'icon-edit'">导出</div>
	</div>
</body>
</html>
